package org.jeecg.common.exception;

import org.jeecg.common.constant.CommonConstant;

/**
 * bison与用友交互业务异常
 *
 * @author sunweidong
 * @since 2024/8/27
 */
public class BisonU8Exception extends RuntimeException {

    private static final long serialVersionUID = 1L;

    private int errCode = CommonConstant.SC_INTERNAL_SERVER_ERROR_500;

    public BisonU8Exception(String message) {
        super(message);
    }

    public BisonU8Exception(String message, int errCode) {
        super(message);
        this.errCode = errCode;
    }

    public int getErrCode() {
        return errCode;
    }

    public BisonU8Exception(Throwable cause) {
        super(cause);
    }

    public BisonU8Exception(String message, Throwable cause) {
        super(message, cause);
    }
}
